Subject: 13.0.9; macintosh, creating directory no supported

From: Uwe Brauer <[email-masked]>
Date: Mon, 31 May 2021 12:19:23 +0200

Hi

I use usually Ubuntu 16.04, but for the coming days I have to use a
MacBook Air, with 10.15 and fink installed (but a texlive 2020 version)

I copiled emacs master, but something in my configuration might be
broken, since I obtain the following error when I open a LaTeX file

Debugger entered--Lisp error: (file-error "Creating directory" "Operation not supported" "/home/oub")
  signal(file-error ("Creating directory" "Operation not supported" "/home/oub"))
  files--ensure-directory("/home/oub")
  make-directory("/home/oub/ALLES/HGs/tex/vorlesungen/HGAnnu/Hojas-T..." t)
  TeX--master-output-dir("~/ALLES/HGs/tex/vorlesungen/HGAnnu/Hojas-Teoria/" nil)
  TeX-region-file()
  TeX-set-mode-name(nil nil t)
  TeX-set-mode-name(TeX-source-correlate-mode t t)
  TeX-source-correlate-mode(1)
  VirTeX-common-initialization()
  LaTeX-common-initialization()
  TeX-latex-mode()
  apply(TeX-latex-mode nil)
  LaTeX-mode()
  funcall-interactively(LaTeX-mode)
  call-interactively(LaTeX-mode record nil)
  command-execute(LaTeX-mode record)
  execute-extended-command(nil "LaTeX-mode" "LaTeX-mode")
  funcall-interactively(execute-extended-command nil "LaTeX-mode" "LaTeX-mode")
  call-interactively(execute-extended-command nil nil)
  command-execute(execute-extended-command)

Anybody has an idea?
I have the feeling it has to do with new feature TeX-output-directory.

Regards

Uwe Brauer 

Emacs  : GNU Emacs 28.0.50 (build 1, x86_64-apple-darwin19.5.0, NS appkit-1894.50 Version 10.15.5 (Build 19F101))
 of 2021-05-02
Package: 13.0.9

current state:
==============
(setq
 AUCTeX-date "2021-04-25"
 window-system 'ns
 LaTeX-version "2e"
 TeX-style-path '("~/emacs/site-lisp/packages/auctex-git/auctex/style" "auto" "style" "~/ALLES/emacs/site-lisp/auctex-private-style")
 TeX-auto-save t
 TeX-parse-self t
 TeX-master t
 TeX-command-list '(("TeX" "%(PDF)%(tex) %(file-line-error) %`%(extraopts) %S%(PDFout)%(mode)%' %(output-dir) %t" TeX-run-TeX nil
                     (plain-tex-mode ams-tex-mode texinfo-mode) :help "Run plain TeX")
                    ("LaTeX" "%`%l%(mode)%' %T" TeX-run-TeX nil (latex-mode doctex-mode) :help "Run LaTeX")
                    ("Makeinfo" "makeinfo %(extraopts) %(o-dir) %t" TeX-run-compile nil (texinfo-mode) :help
                     "Run Makeinfo with Info output")
                    ("Makeinfo HTML" "makeinfo %(extraopts) %(o-dir) --html %t" TeX-run-compile nil (texinfo-mode) :help
                     "Run Makeinfo with HTML output")
                    ("AmSTeX" "amstex %(PDFout) %`%(extraopts) %S%(mode)%' %(output-dir) %t" TeX-run-TeX nil (ams-tex-mode) :help
                     "Run AMSTeX")
                    ("ConTeXt" "%(cntxcom) --once --texutil %(extraopts) %(execopts)%t" TeX-run-TeX nil (context-mode) :help
                     "Run ConTeXt once")
                    ("ConTeXt Full" "%(cntxcom) %(extraopts) %(execopts)%t" TeX-run-TeX nil (context-mode) :help
                     "Run ConTeXt until completion")
                    ("BibTeX" "bibtex %(O?aux)" TeX-run-BibTeX nil
                     (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode context-mode) :help "Run BibTeX")
                    ("Biber" "biber %s %(output-dir)" TeX-run-Biber nil (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode)
                     :help "Run Biber")
                    ("View" "%V" TeX-run-discard-or-function t t :help "Run Viewer")
                    ("Print" "%p" TeX-run-command t t :help "Print the file")
                    ("Queue" "%q" TeX-run-background nil t :help "View the printer queue" :visible TeX-queue-command)
                    ("File" "%(o?)dvips %d -o %f " TeX-run-dvips t (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode) :help
                     "Generate PostScript file")
                    ("Dvips" "%(o?)dvips %d -o %f " TeX-run-dvips nil (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode)
                     :help "Convert DVI file to PostScript")
                    ("Dvipdfmx" "dvipdfmx %d -o %(O?pdf)" TeX-run-dvipdfmx nil
                     (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode) :help "Convert DVI file to PDF with dvipdfmx")
                    ("Ps2pdf" "ps2pdf %f %(O?pdf)" TeX-run-ps2pdf nil (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode)
                     :help "Convert PostScript file to PDF")
                    ("Glossaries" "makeglossaries %(O?aux)" TeX-run-command nil
                     (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode) :help
                     "Run makeglossaries to create glossary\n     file")
                    ("Index" "makeindex %(O?idx)" TeX-run-index nil (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode)
                     :help "Run makeindex to create index file")
                    ("upMendex" "upmendex %(O?idx)" TeX-run-index t (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode)
                     :help "Run upmendex to create index file")
                    ("Xindy" "texindy %s" TeX-run-command nil (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode) :help
                     "Run xindy to create index file")
                    ("Check" "lacheck %s" TeX-run-compile nil (latex-mode) :help "Check LaTeX file for correctness")
                    ("ChkTeX" "chktex -v6 %s" TeX-run-compile nil (latex-mode) :help "Check LaTeX file for common mistakes")
                    ("Spell" "(TeX-ispell-document \"\")" TeX-run-function nil t :help "Spell-check the document")
                    ("Clean" "TeX-clean" TeX-run-function nil t :help "Delete generated intermediate files")
                    ("Clean All" "(TeX-clean t)" TeX-run-function nil t :help "Delete generated intermediate and output files")
                    ("Other" "" TeX-run-command t t :help "Run an arbitrary command"))
 )